petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSPseudoComputeTimeStep

Computes the next timestep for a currently running pseudo-timestepping process.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSPseudoComputeTimeStep(TS ts,PetscReal *dt)

Collective on TS

### Input Parameter

ts -timestep context

### Output Parameter

dt -newly computed timestep

### Notes

The routine to be called here to compute the timestep should be set by calling TSPseudoSetTimeStep().

### Keywords

timestep, pseudo, compute

### See Also

TSPseudoTimeStepDefault(), TSPseudoSetTimeStep()

Level:developer
Location:src/ts/impls/pseudo/posindep.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages